"""Remove Job table.

Revision ID: 92b3dc62f774
Revises: 3194c587b377
Create Date: 2021-01-26 10:37:31.330049

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "92b3dc62f774"
down_revision = "3194c587b377"
branch_labels = None
depends_on = None


def upgrade():
    op.drop_table("jobs")


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "jobs",
        sa.Column("name", sa.VARCHAR(length=255), autoincrement=False, nullable=False),
        sa.Column("uuid", sa.VARCHAR(length=255), autoincrement=False, nullable=False),
        sa.Column(
            "pipeline_uuid", sa.VARCHAR(length=255), autoincrement=False, nullable=False
        ),
        sa.Column(
            "project_uuid", sa.VARCHAR(length=255), autoincrement=False, nullable=False
        ),
        sa.Column(
            "pipeline_name", sa.VARCHAR(length=255), autoincrement=False, nullable=False
        ),
        sa.Column(
            "pipeline_path", sa.VARCHAR(length=255), autoincrement=False, nullable=False
        ),
        sa.Column(
            "created",
            postgresql.TIMESTAMP(),
            server_default=sa.text("timezone('utc'::text, now())"),
            autoincrement=False,
            nullable=False,
        ),
        sa.Column("strategy_json", sa.TEXT(), autoincrement=False, nullable=False),
        sa.Column("draft", sa.BOOLEAN(), autoincrement=False, nullable=True),
        sa.Column(
            "schedule", sa.VARCHAR(length=100), autoincrement=False, nullable=True
        ),
        sa.ForeignKeyConstraint(
            ["project_uuid"],
            ["project.uuid"],
            name="fk_jobs_project_uuid_project",
            ondelete="CASCADE",
        ),
        sa.PrimaryKeyConstraint("uuid", name="pk_jobs"),
    )
    # ### end Alembic commands ###
